Bitdefender Mobile Security & Antivirus will no longer support Android 4.0 – 4.0.2 versions

Bitdefender announces that Bitdefender Mobile Security & Antivirus has new minimum operating system requirements as of April 18th 2018. As such the highly popular application will continue to offer support for users with Android 4.0.3 or newer.

Bitdefender is committed to delivering innovative and effective security solutions to our customers. As technology evolves and circumstances change, we must focus our efforts to newer versions of Android.

For users running Android 4.0 – 4.0.2 devices this means they will no longer receive app updates in the future.

Related Articles

Was this article helpful?
Rating: 1.0. From 8 votes.
Please wait...

Sorry about that

How can we improve it?

For any issues with Bitdefender you can always contact us using this form

Popular How-To Videos